package p01_podstawy;

public class Zmienne {
    public static void main(String[] args) {
        // W Javie nie wolno używać zmiennych, które nie zostały zadeklarowane.
        // x = 100;
        // System.out.println(x);
        // Deklaracja zmiennej podaje jej typ oraz nazwę:
        String miasto;
        int x;
        // teraz do zmiennej mogę wpisać wartość. instrukcja przypisania (assignment)
        miasto = "Warszawa";
        System.out.println("Miastem jest " + miasto);
        // nie wolno jednak odczytywać zmiennych, które nie zostały zainicjowane (nie mają żadnej wartości)
        // System.out.println(x);
        x = 123;
        System.out.println(x);
        // nie mogę wpisać wartości innego typu
        // x = "Ala ma kota";

        // Najczęściej początkową wartość wprowadza się w momencie deklaracji.
        int y = 1000 - x;
        System.out.println(y);
        // teraz nie piszemy już int:
        // int y = 5432;
        // przypisanie innej wartości to po prostu
        y = 5000;
        System.out.println(y);
        y = y + 50;
        System.out.println(y);
        // istnieje skrócony zapis:
        y += 5;
        System.out.println(y);
        // zmiana o jeden może być zapisana jeszcze krócej: ++ lub --
        y++;
        System.out.println(y);
        System.out.println();

        int z;
        if(y > 1000) {
            z = 333;
            System.out.println(z);
        }
        // kompilator "nie ma pewności", że zmienna jest zainicjaowana
        // System.out.println(z);

        if(y > 1000) {
            z = 777;
        } else {
            z = 888;
        }
        System.out.println(z);

        // wyrażenie warunkowe
        // wynikiem jest jedna wartość albo druga wartość w zależności od warunku
        String dzien = z > 800 ? "sobota" : "niedziela";
        System.out.println(dzien);
    }
}
