package p03_if;

import java.util.Random;

public class TeoriaIf {

    public static void main(String[] args) {
        Random random = new Random();
        int x = random.nextInt(100);
        int y = random.nextInt(100);
        System.out.println("Wylosowane liczby: " + x + ", " + y);
        
        // najbardziej typy zapis: if z else.
        // jeśli warunek logiczny prawdziwy, to wykouje się fragment kodu za if-em
        // a jeśli fałszywy, to wykonuje się fragment kodu za else.
        if(x + y >= 100) {
            System.out.println("suma liczb >= 100");
        } else {
            System.out.println("suma liczb < 100");
        }
        
        // Jeśli do wykonania jest tylko jedna instrukcja, można jej nie brać w {klamerki}
        // (ale ja je daję nawet w takich przypadkach)
        if(x % 2 == 0)
            System.out.println("x jest parzysty");
        else
            System.out.println("x jest nieparzysty");
        
        // można pisać if bez towarzyszącego else
        if(x < 10) {
            System.out.println("x jest jednocyfrowy");
        }
        System.out.println("To się zawsze wypisze");
        
        // można też pisać ciąg wielu ifów na zasadzie if - else if - else
        if(x > y) {
            System.out.println("x jest większy");
        } else if(x < y) {
            System.out.println("y jest większy");
        } else {
            System.out.println("obie liczby równe");
        }

        String str = "Ala ma kota";
        int liczba = 1;
        
// W Javie nie ma automatycznej konwersji liczb (ani innych rzeczy) na boolean
//          if(liczba) {
//              System.out.println("Nie zero");
//          }
//        
//          if(liczba = 0) {
//              System.out.println("Nie zero");
//          }
//        if(str) {
//            System.out.println("napis nie jest pusty");
//        }
        
// Warunkiem najczęściej jest porównanie, ale może też być wywołanie metody typu boolean
        if(str.isEmpty()) {
            System.out.println("puste");
        }

        // może też być bezpośrednie użycie zmiennej typu boolean
        boolean logika = x > 10 && y % 3 == 0;
        if(logika) {
            System.out.println("Dziwny warunek jest prawdą");
        } else {
            System.out.println("Nieprawda");
        }

        System.out.println("Koniec programu");
    }

}

