package p01_podstawy;

import javax.swing.*;
import java.awt.*;
import java.util.Locale;

public class Zakupy4 {
    public static void main(String[] args) {
        try {
            // Gdybyśmy chcieli, aby liczby były formatowane z kropką...
            Locale.setDefault(Locale.US);
            String towar = JOptionPane.showInputDialog("Podaj nazwę towaru");
            double cena = Double.parseDouble(JOptionPane.showInputDialog("Ile kosztuje jedna sztuka?"));
            int sztuk = Integer.parseInt(JOptionPane.showInputDialog("Ile sztuk chcesz kupić?"));
            double koszt = cena * sztuk;
            JOptionPane.showMessageDialog(null,
                    String.format("Za %d sztuk towaru %s płacisz %.2f zł.", sztuk, towar, koszt));
        } catch (NumberFormatException e) {
            JOptionPane.showMessageDialog(null, e, "Błąd", JOptionPane.ERROR_MESSAGE);
        } catch (HeadlessException e) {
            // ten wyjątek pojawiłby się, gdybyśmy uruchomili ten program w środowisku bez interfejsu graficznego
            System.err.println("Ta maszyna nie ma interfejsu graficznego");
        }
    }
}
